import os
import json

# Information to know who is working
LOGGIN = os.getlogin()
HOSTNAME = os.uname()[1]

if LOGGIN == "chabotv":
    if HOSTNAME == "alose":
        WORKING_DIR = "/home/chabotv/data/tmp/"
    elif HOSTNAME == "pagre":
        WORKING_DIR = "/utemp/labia/chabotv/"
else:
    raise ValueError(
        f"Need to define some directory in config.py for this user {LOGGIN}"
    )

# Connaitre les repertoires sources
if HOSTNAME == "alose":
    GEO_DIR = "/home/labia/chabotv/data/geo_data/"
    GRID_DIR = "/home/labia/chabotv/data/grilles/"
elif HOSTNAME == "pagre":
    GEO_DIR = "/home/labia/chabotv/data/geodata/"
    GRID_DIR = "/home/labia/chabotv/data/grilles/"
else:
    raise ValueError(
        f"Need to define some directory in config.py for this machine {HOSTNAME}"
    )


def get_configuration(fname, mandatory_key=None, base_dir="./configuration/"):
    """
    Open a json namelist.
    This namelist contains some mandatory keys which should be present to be valid.
    The directory in which namelist are read is specify by base_dir
    """
    with open(base_dir + fname, "r") as fp:
        config = json.load(fp)
    if mandatory_key is not None:
        ckey = set(config.keys())
        mkey = set(mandatory_key)
        if ckey.union(mkey) != ckey:
            missing_key = mkey.difference(ckey)
            raise ValueError(
                f"Some keys needs to be in the configuration file : {missing_key}"
            )
    return config
