"""
@package lib.text.pheno.wwmf

WWMF text module
"""

# Standard packages

# Third parties packages
import mflog

# Own package
from ftap_autom.promethee.src.conf.app_configuration import MFLOG
from ftap_autom.promethee.src.lib.text.pheno.pheno import Pheno
from ftap_autom.promethee.src.utils.my_profile import logwrap

# Logging
mflog.set_config(**MFLOG)
LOGGER = mflog.getLogger("text.wwmf.mod")
LOGGER = LOGGER.bind(module="text.wwmf")


class WWMFGeneric(Pheno):
    def __init__(self, geos, wwmf, precip, rain, snow, lpn, *args, **kwargs):
        super().__init__(geos, *args, **kwargs)
        self.wwmf = wwmf
        self.precip = precip
        self.rain = rain
        self.snow = snow
        self.lpn = lpn

    @logwrap(logger=LOGGER)
    def generate(self):
        return "Temps sensible : "
